Bug 33370 - animations/change-keyframes.html failed on Tiger Bot
Summary: animations/change-keyframes.html failed on Tiger Bot
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 33289
  Show dependency treegraph
 
Reported: 2010-01-08 02:51 PST by Eric Seidel (no email)
Modified: 2010-01-14 17:52 PST (History)
3 users (show)

See Also:


Attachments
Patch (2.67 KB, patch)
2010-01-14 17:51 PST, Ojan Vafai
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2010-01-08 02:51:40 PST
animations/change-keyframes.html failed on Tiger Bot

This is the first time I've noticed this failure:
http://build.webkit.org/results/Tiger%20Intel%20Release/r52980%20(7550)/results.html

--- layout-test-results/animations/change-keyframes-expected.txt	2010-01-08 02:35:58.000000000 -0800
+++ layout-test-results/animations/change-keyframes-actual.txt	2010-01-08 02:35:58.000000000 -0800
@@ -1,4 +1,4 @@
 This test performs an animation of the left property and makes sure it is animating. Then it stops the animation, changes the keyframes to an animation of the top property, restarts the animation and makes sure top is animating.
-PASS - "left" property for "box" element at 0.5s saw something close to: 200
-PASS - "top" property for "box" element at 1s saw something close to: 100
+FAIL - "left" property for "box" element at 0.5s expected: 200 but saw: 0
+FAIL - "top" property for "box" element at 1s expected: 100 but saw: 0
Comment 2 Eric Seidel (no email) 2010-01-10 19:06:38 PST
Our buildbot instance is set up to purge results after a while, so we need to copy failure diffs into bugs:
--- layout-test-results/animations/change-keyframes-expected.txt	2010-01-10 16:41:40.000000000 -0800
+++ layout-test-results/animations/change-keyframes-actual.txt	2010-01-10 16:41:40.000000000 -0800
@@ -1,4 +1,4 @@
 This test performs an animation of the left property and makes sure it is animating. Then it stops the animation, changes the keyframes to an animation of the top property, restarts the animation and makes sure top is animating.
-PASS - "left" property for "box" element at 0.5s saw something close to: 200
-PASS - "top" property for "box" element at 1s saw something close to: 100
+FAIL - "left" property for "box" element at 0.5s expected: 200 but saw: 259
+FAIL - "top" property for "box" element at 1s expected: 100 but saw: 70
Comment 3 Eric Seidel (no email) 2010-01-14 16:29:14 PST
Another failure, different diff:
http://build.webkit.org/results/Tiger%20Intel%20Release/r53296%20(7779)/animations/change-keyframes-diffs.txt
--- layout-test-results/animations/change-keyframes-expected.txt	2010-01-14 16:15:08.000000000 -0800
+++ layout-test-results/animations/change-keyframes-actual.txt	2010-01-14 16:15:08.000000000 -0800
@@ -1,4 +1,4 @@
 This test performs an animation of the left property and makes sure it is animating. Then it stops the animation, changes the keyframes to an animation of the top property, restarts the animation and makes sure top is animating.
-PASS - "left" property for "box" element at 0.5s saw something close to: 200
+FAIL - "left" property for "box" element at 0.5s expected: 200 but saw: 252
 PASS - "top" property for "box" element at 1s saw something close to: 100
Comment 4 Ojan Vafai 2010-01-14 17:51:01 PST
Created attachment 46625 [details]
Patch
Comment 5 Ojan Vafai 2010-01-14 17:52:51 PST
Committed r53310: <http://trac.webkit.org/changeset/53310>